// -*- c++ -*-

#ifndef KVNCOPTIONSDIALOG_H
#define KVNCOPTIONSDIALOG_H

#include <kdialogbase.h>

class QCheckBox;
class KRFBOptions;

class KVNCOptionsDlg : public KDialogBase
{
Q_OBJECT

public:
  KVNCOptionsDlg( KRFBOptions *options,
		  QWidget *parent = 0, char *name = 0, bool modal = true );
  ~KVNCOptionsDlg();

  void setupConnectionPage( QFrame *frame );
  void setupEncodingPage( QFrame *frame );

protected slots:
  void slotDefault();
  void slotOk();

private:
  KRFBOptions *options;

  // Encoding page
  QCheckBox *hex;
  QCheckBox *corre;
  QCheckBox *rre;
  QCheckBox *copyRect;
  QCheckBox *raw;

  // Connection page
  QCheckBox *bit;
  QCheckBox *deIconify;
  QCheckBox *shared;
};

#endif // KVNCOPTIONSDIALOG_H




